Bug 109905

Summary: Calculate EventPath in EventDispatcher's constructor.
Product: WebKit Reporter: Hayato Ito <hayato>
Component: UI EventsAssignee: Hayato Ito <hayato>
Status: RESOLVED FIXED    
Severity: Normal CC: dglazkov, esprehn+autocc, ojan.autocc, webcomponents-bugzilla, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 109898    
Bug Blocks:    
Attachments:
Description Flags
Calculates an EventPath in the constructor
none
Patch for landing
none
Patch for landing none

Description Hayato Ito 2013-02-15 00:14:00 PST
I can not find any reason to initialize an EventPath lazily.
We can calculate an EventPath in EventDispatcher's constructor and remove EventDispatcher::ensureEventPath() after bug 109898 is fixed.
Comment 1 Hayato Ito 2013-02-15 00:19:08 PST
Created attachment 188496 [details]
Calculates an EventPath in the constructor
Comment 2 Hayato Ito 2013-02-15 00:20:21 PST
The uploaded patch depends on the patch in bug 109898.
Comment 3 Hayato Ito 2013-02-17 22:36:19 PST
Created attachment 188798 [details]
Patch for landing
Comment 4 WebKit Review Bot 2013-02-17 23:29:04 PST
Comment on attachment 188798 [details]
Patch for landing

Rejecting attachment 188798 [details] from commit-queue.

New failing tests:
fast/events/touch/gesture/pad-gesture-cancel.html
Full output: http://queues.webkit.org/results/16610104
Comment 5 Hayato Ito 2013-02-17 23:38:06 PST
Hmm. 

fast/events/touch/gesture/pad-gesture-cancel.html has been crashed without this patch locally.
Let me retry cq+.

(In reply to comment #4)
> (From update of attachment 188798 [details])
> Rejecting attachment 188798 [details] from commit-queue.
> 
> New failing tests:
> fast/events/touch/gesture/pad-gesture-cancel.html
> Full output: http://queues.webkit.org/results/16610104
Comment 6 WebKit Review Bot 2013-02-18 00:34:54 PST
Comment on attachment 188798 [details]
Patch for landing

Rejecting attachment 188798 [details] from commit-queue.

New failing tests:
fast/events/touch/gesture/pad-gesture-cancel.html
Full output: http://queues.webkit.org/results/16545079
Comment 7 WebKit Review Bot 2013-02-18 00:48:59 PST
Comment on attachment 188798 [details]
Patch for landing

Attachment 188798 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/16613055

New failing tests:
fast/events/touch/gesture/pad-gesture-cancel.html
Comment 8 Hayato Ito 2013-02-19 02:58:20 PST
Created attachment 189034 [details]
Patch for landing
Comment 9 Hayato Ito 2013-02-19 02:59:08 PST
Let me cq+ tomorrow to watch the result.

(In reply to comment #8)
> Created an attachment (id=189034) [details]
> Patch for landing
Comment 10 WebKit Review Bot 2013-02-19 19:07:15 PST
Comment on attachment 189034 [details]
Patch for landing

Clearing flags on attachment: 189034

Committed r143426: <http://trac.webkit.org/changeset/143426>
Comment 11 WebKit Review Bot 2013-02-19 19:07:20 PST
All reviewed patches have been landed.  Closing bug.